package com.ruoyi.system.domain.other;

public class MapEntity {
    private String id;
    // 类型
    private String type;
    // 上级主体
    private String parentEntity;
    // 主体编码
    private String entityCode;
    // 主体名称
    private String entityName;
    // 二维码
    private String qrCode;
    // 主体范围
    private String entityScope;
    // 坐标地址
    private String coordinateAddress;
    // 是否有效
    private int isValid;
    // 主体层级
    private int entityLevel;

    // Getters 和 Setters 方法
    public String getId() { return id; }

    public void setId(String id) { this.id = id; }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getParentEntity() {
        return parentEntity;
    }

    public void setParentEntity(String parentEntity) {
        this.parentEntity = parentEntity;
    }

    public String getEntityCode() {
        return entityCode;
    }

    public void setEntityCode(String entityCode) {
        this.entityCode = entityCode;
    }

    public String getEntityName() {
        return entityName;
    }

    public void setEntityName(String entityName) {
        this.entityName = entityName;
    }

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public String getEntityScope() {
        return entityScope;
    }

    public void setEntityScope(String entityScope) {
        this.entityScope = entityScope;
    }

    public String getCoordinateAddress() {
        return coordinateAddress;
    }

    public void setCoordinateAddress(String coordinateAddress) {
        this.coordinateAddress = coordinateAddress;
    }

    public int isValid() {
        return isValid;
    }

    public void setValid(int valid) {
        isValid = valid;
    }

    public int getEntityLevel() {
        return entityLevel;
    }

    public void setEntityLevel(int entityLevel) {
        this.entityLevel = entityLevel;
    }
}